C#
// DELETE /v1/b2b/organizations/{organization_id}/members/passwords/{member_password_id}
const stytch = require('stytch');
const client = new stytch.B2BClient({
project_id: '${projectId}',
secret: '${secret}',
});
const params = {
organization_id: "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
member_password_id: "member-password-test-51861cbc-d3b9-428b-9761-227f5fb12be9",
};
const options = {
authorization: {
session_token: '${sessionToken}',
},
};
client.Organizations.Members.DeletePassword(params, options)
.then(resp => { console.log(resp) })
.catch(err => { console.log(err) });// DELETE /v1/b2b/organizations/{organization_id}/members/passwords/{member_password_id}
package main
import (
"context"
"log"
"github.com/stytchauth/stytch-go/v18/stytch/b2b/b2bstytchapi"
"github.com/stytchauth/stytch-go/v18/stytch/b2b/organizations/members"
"github.com/stytchauth/stytch-go/v18/stytch/methodoptions"
)
func main() {
client, err := b2bstytchapi.NewClient(
"${projectId}",
"${secret}",
)
if err != nil {
log.Fatalf("error instantiating client: %v", err)
}
params := &members.DeletePasswordParams{
OrganizationID: "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
MemberPasswordID: "member-password-test-51861cbc-d3b9-428b-9761-227f5fb12be9",
}
options := &members.DeletePasswordParamsOptions{
Authorization: methodoptions.Authorization{
SessionToken: "${sessionToken}",
},
}
resp, err := client.Organizations.Members.DeletePassword(context.Background(), params, options)
if err != nil {
log.Fatalf("error in method call: %v", err)
}
log.Println(resp)
}
// DELETE /v1/b2b/organizations/{organization_id}/members/passwords/{member_password_id}
package com.example;
import com.stytch.java.b2b.models.organizationsmembers.DeletePasswordRequest;
import com.stytch.java.b2b.models.organizationsmembers.DeletePasswordRequestOptions;
import com.stytch.java.b2b.StytchB2BClient;
import com.stytch.java.common.methodoptions.Authorization;
import com.stytch.java.common.StytchResult;
public class Main {
public static void main(String[] args) {
StytchB2BClient.configure("${projectId}", "${secret}");
DeletePasswordRequest params = new DeletePasswordRequest();
params.setOrganizationId("organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931");
params.setMemberPasswordId("member-password-test-51861cbc-d3b9-428b-9761-227f5fb12be9");
DeletePasswordRequestOptions options = new DeletePasswordRequestOptions();
Authorization authorization = new Authorization();
authorization.setSessionToken("${sessionToken}");
options.setAuthorization(authorization);
Object result = StytchB2BClient.getOrganizations().getMembers().deletePassword(params, options);
if (result instanceof StytchResult.Success) {
System.out.println(((StytchResult.Success) result).getValue());
} else {
System.out.println(((StytchResult.Error) result).getException());
}
}
}// DELETE /v1/b2b/organizations/{organization_id}/members/passwords/{member_password_id}
package com.example
import com.stytch.java.b2b.StytchB2BClient
import com.stytch.java.b2b.models.organizationsmembers.DeletePasswordRequest
import com.stytch.java.b2b.models.organizationsmembers.DeletePasswordRequestOptions
import com.stytch.java.common.methodoptions.Authorization
fun main() {
StytchB2BClient.configure(
projectId = "${projectId}",
secret = "${secret}",
)
when (
val result =
StytchB2BClient.organizations.members.deletePassword(
DeletePasswordRequest(
organizationId = "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
memberPasswordId = "member-password-test-51861cbc-d3b9-428b-9761-227f5fb12be9",
),
DeletePasswordRequestOptions(
Authorization(
sessionToken = "${sessionToken}",
),
),
)
) {
is StytchResult.Success -> println(result.value)
is StytchResult.Error -> println(result.exception)
}
}
// DELETE /v1/b2b/organizations/{organization_id}/members/passwords/{member_password_id}
const stytch = require('stytch');
const client = new stytch.B2BClient({
project_id: '${projectId}',
secret: '${secret}',
});
const params = {
organization_id: "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
member_password_id: "member-password-test-51861cbc-d3b9-428b-9761-227f5fb12be9",
};
const options = {
authorization: {
session_token: '${sessionToken}',
},
};
client.organizations.members.deletePassword(params, options)
.then(resp => { console.log(resp) })
.catch(err => { console.log(err) });$response = $client->organizations->members->delete_password([
'organization_id' => 'organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931',
'member_password_id' => 'member-password-test-51861cbc-d3b9-428b-9761-227f5fb12be9',
], [
'authorization' => ['session_token' => '${sessionToken}'],
]);# DELETE /v1/b2b/organizations/{organization_id}/members/passwords/{member_password_id}
from stytch import B2BClient
from stytch.b2b.models.organizations_members import DeletePasswordRequestOptions
from stytch.shared.method_options import Authorization
client = B2BClient(
project_id="${projectId}",
secret="${secret}",
)
resp = client.organizations.members.delete_password(
organization_id="organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
member_password_id="member-password-test-51861cbc-d3b9-428b-9761-227f5fb12be9",
method_options=DeletePasswordRequestOptions(
authorization=Authorization(
session_token="${sessionToken}",
),
),
)
print(resp)
# frozen_string_literal: true
# DELETE /v1/b2b/organizations/{organization_id}/members/passwords/{member_password_id}
require 'stytch'
client = StytchB2B::Client.new(
project_id: "${projectId}",
secret: "${secret}"
)
resp = client.organizations.members.delete_password(
organization_id: "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
member_password_id: "member-password-test-51861cbc-d3b9-428b-9761-227f5fb12be9",
method_options: StytchB2B::Organizations::Members::DeletePasswordRequestOptions.new(
authorization: Stytch::MethodOptions::Authorization.new(session_token: '${sessionToken}')
)
)
puts resp// DELETE /v1/b2b/organizations/{organization_id}/members/passwords/{member_password_id}
use stytch::b2b::client::Client;
use stytch::b2b::organizations_members::DeletePasswordRequest;
fn main() {
let client = Client::new("${projectId}", "${secret}").unwrap();
let resp = client.organizations.members.delete_password(
DeletePasswordRequest{
organization_id: "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
member_password_id: "member-password-test-51861cbc-d3b9-428b-9761-227f5fb12be9",
..Default::default()
}
).await;
println!("The response is {:?}", resp);
}# DELETE /v1/b2b/organizations/{organization_id}/members/passwords/{member_password_id}
curl --request DELETE \
--url https://test.stytch.com/v1/b2b/organizations/organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931/members/passwords/member-password-test-51861cbc-d3b9-428b-9761-227f5fb12be9 \
-u '${projectId}:${secret}' \
-H 'Content-Type: application/json' \
-H "X-Stytch-Member-Session: ${sessionToken}"{
"request_id": "<string>",
"member_id": "<string>",
"member": {
"organization_id": "<string>",
"member_id": "<string>",
"email_address": "<string>",
"status": "<string>",
"name": "<string>",
"sso_registrations": [
{
"connection_id": "<string>",
"external_id": "<string>",
"registration_id": "<string>",
"sso_attributes": {}
}
],
"is_breakglass": true,
"member_password_id": "<string>",
"oauth_registrations": [
{
"provider_type": "<string>",
"provider_subject": "<string>",
"member_oauth_registration_id": "<string>",
"profile_picture_url": "<string>",
"locale": "<string>"
}
],
"email_address_verified": true,
"mfa_phone_number_verified": true,
"is_admin": true,
"totp_registration_id": "<string>",
"retired_email_addresses": [
{
"email_id": "<string>",
"email_address": "<string>"
}
],
"is_locked": true,
"mfa_enrolled": true,
"mfa_phone_number": "<string>",
"default_mfa_method": "<string>",
"roles": [
{
"role_id": "<string>",
"sources": [
{
"type": "<string>",
"details": {}
}
]
}
],
"trusted_metadata": {},
"untrusted_metadata": {},
"created_at": "<string>",
"updated_at": "<string>",
"scim_registration": {
"connection_id": "<string>",
"registration_id": "<string>",
"external_id": "<string>",
"scim_attributes": {
"user_name": "<string>",
"id": "<string>",
"external_id": "<string>",
"active": true,
"groups": [
{
"value": "<string>",
"display": "<string>"
}
],
"display_name": "<string>",
"nick_name": "<string>",
"profile_url": "<string>",
"user_type": "<string>",
"title": "<string>",
"preferred_language": "<string>",
"locale": "<string>",
"timezone": "<string>",
"emails": [
{
"value": "<string>",
"type": "<string>",
"primary": true
}
],
"phone_numbers": [
{
"value": "<string>",
"type": "<string>",
"primary": true
}
],
"addresses": [
{
"formatted": "<string>",
"street_address": "<string>",
"locality": "<string>",
"region": "<string>",
"postal_code": "<string>",
"country": "<string>",
"type": "<string>",
"primary": true
}
],
"ims": [
{
"value": "<string>",
"type": "<string>",
"primary": true
}
],
"photos": [
{
"value": "<string>",
"type": "<string>",
"primary": true
}
],
"entitlements": [
{
"value": "<string>",
"type": "<string>",
"primary": true
}
],
"roles": [
{
"value": "<string>",
"type": "<string>",
"primary": true
}
],
"x509certificates": [
{
"value": "<string>",
"type": "<string>",
"primary": true
}
],
"name": {
"formatted": "<string>",
"family_name": "<string>",
"given_name": "<string>",
"middle_name": "<string>",
"honorific_prefix": "<string>",
"honorific_suffix": "<string>"
},
"enterprise_extension": {
"employee_number": "<string>",
"cost_center": "<string>",
"division": "<string>",
"department": "<string>",
"organization": "<string>",
"manager": {
"value": "<string>",
"ref": "<string>",
"display_name": "<string>"
}
}
}
},
"external_id": "<string>",
"lock_created_at": "<string>",
"lock_expires_at": "<string>"
},
"organization": {
"organization_id": "<string>",
"organization_name": "<string>",
"organization_logo_url": "<string>",
"organization_slug": "<string>",
"sso_jit_provisioning": "<string>",
"sso_jit_provisioning_allowed_connections": [
"<string>"
],
"sso_active_connections": [
{
"connection_id": "<string>",
"display_name": "<string>",
"identity_provider": "<string>"
}
],
"email_allowed_domains": [
"<string>"
],
"email_jit_provisioning": "<string>",
"email_invites": "<string>",
"auth_methods": "<string>",
"allowed_auth_methods": [
"<string>"
],
"mfa_policy": "<string>",
"rbac_email_implicit_role_assignments": [
{
"domain": "<string>",
"role_id": "<string>"
}
],
"mfa_methods": "<string>",
"allowed_mfa_methods": [
"<string>"
],
"oauth_tenant_jit_provisioning": "<string>",
"claimed_email_domains": [
"<string>"
],
"first_party_connected_apps_allowed_type": "<string>",
"allowed_first_party_connected_apps": [
"<string>"
],
"third_party_connected_apps_allowed_type": "<string>",
"allowed_third_party_connected_apps": [
"<string>"
],
"custom_roles": [
{
"role_id": "<string>",
"description": "<string>",
"permissions": [
{
"resource_id": "<string>",
"actions": [
"<string>"
]
}
]
}
],
"trusted_metadata": {},
"created_at": "<string>",
"updated_at": "<string>",
"organization_external_id": "<string>",
"sso_default_connection_id": "<string>",
"scim_active_connection": {
"connection_id": "<string>",
"display_name": "<string>",
"bearer_token_last_four": "<string>",
"bearer_token_expires_at": "<string>"
},
"allowed_oauth_tenants": {}
},
"status_code": 123
}{
"status_code": 401,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "unauthorized_credentials",
"error_message": "Unauthorized credentials.",
"error_url": "https://stytch.com/docs/api/errors/401"
}{
"status_code": 429,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "too_many_requests",
"error_message": "Too many requests have been made.",
"error_url": "https://stytch.com/docs/api/errors/429"
}{
"status_code": 500,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "internal_server_error",
"error_message": "Oops, something seems to have gone wrong, please reach out to support@stytch.com to let us know what went wrong.",
"error_url": "https://stytch.com/docs/api/errors/500"
}Members
Delete Member Password
Delete a Member’s password using the Stytch B2B API.
DELETE
/
v1
/
b2b
/
organizations
/
{organization_id}
/
members
/
passwords
/
{member_password_id}
C#
// DELETE /v1/b2b/organizations/{organization_id}/members/passwords/{member_password_id}
const stytch = require('stytch');
const client = new stytch.B2BClient({
project_id: '${projectId}',
secret: '${secret}',
});
const params = {
organization_id: "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
member_password_id: "member-password-test-51861cbc-d3b9-428b-9761-227f5fb12be9",
};
const options = {
authorization: {
session_token: '${sessionToken}',
},
};
client.Organizations.Members.DeletePassword(params, options)
.then(resp => { console.log(resp) })
.catch(err => { console.log(err) });// DELETE /v1/b2b/organizations/{organization_id}/members/passwords/{member_password_id}
package main
import (
"context"
"log"
"github.com/stytchauth/stytch-go/v18/stytch/b2b/b2bstytchapi"
"github.com/stytchauth/stytch-go/v18/stytch/b2b/organizations/members"
"github.com/stytchauth/stytch-go/v18/stytch/methodoptions"
)
func main() {
client, err := b2bstytchapi.NewClient(
"${projectId}",
"${secret}",
)
if err != nil {
log.Fatalf("error instantiating client: %v", err)
}
params := &members.DeletePasswordParams{
OrganizationID: "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
MemberPasswordID: "member-password-test-51861cbc-d3b9-428b-9761-227f5fb12be9",
}
options := &members.DeletePasswordParamsOptions{
Authorization: methodoptions.Authorization{
SessionToken: "${sessionToken}",
},
}
resp, err := client.Organizations.Members.DeletePassword(context.Background(), params, options)
if err != nil {
log.Fatalf("error in method call: %v", err)
}
log.Println(resp)
}
// DELETE /v1/b2b/organizations/{organization_id}/members/passwords/{member_password_id}
package com.example;
import com.stytch.java.b2b.models.organizationsmembers.DeletePasswordRequest;
import com.stytch.java.b2b.models.organizationsmembers.DeletePasswordRequestOptions;
import com.stytch.java.b2b.StytchB2BClient;
import com.stytch.java.common.methodoptions.Authorization;
import com.stytch.java.common.StytchResult;
public class Main {
public static void main(String[] args) {
StytchB2BClient.configure("${projectId}", "${secret}");
DeletePasswordRequest params = new DeletePasswordRequest();
params.setOrganizationId("organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931");
params.setMemberPasswordId("member-password-test-51861cbc-d3b9-428b-9761-227f5fb12be9");
DeletePasswordRequestOptions options = new DeletePasswordRequestOptions();
Authorization authorization = new Authorization();
authorization.setSessionToken("${sessionToken}");
options.setAuthorization(authorization);
Object result = StytchB2BClient.getOrganizations().getMembers().deletePassword(params, options);
if (result instanceof StytchResult.Success) {
System.out.println(((StytchResult.Success) result).getValue());
} else {
System.out.println(((StytchResult.Error) result).getException());
}
}
}// DELETE /v1/b2b/organizations/{organization_id}/members/passwords/{member_password_id}
package com.example
import com.stytch.java.b2b.StytchB2BClient
import com.stytch.java.b2b.models.organizationsmembers.DeletePasswordRequest
import com.stytch.java.b2b.models.organizationsmembers.DeletePasswordRequestOptions
import com.stytch.java.common.methodoptions.Authorization
fun main() {
StytchB2BClient.configure(
projectId = "${projectId}",
secret = "${secret}",
)
when (
val result =
StytchB2BClient.organizations.members.deletePassword(
DeletePasswordRequest(
organizationId = "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
memberPasswordId = "member-password-test-51861cbc-d3b9-428b-9761-227f5fb12be9",
),
DeletePasswordRequestOptions(
Authorization(
sessionToken = "${sessionToken}",
),
),
)
) {
is StytchResult.Success -> println(result.value)
is StytchResult.Error -> println(result.exception)
}
}
// DELETE /v1/b2b/organizations/{organization_id}/members/passwords/{member_password_id}
const stytch = require('stytch');
const client = new stytch.B2BClient({
project_id: '${projectId}',
secret: '${secret}',
});
const params = {
organization_id: "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
member_password_id: "member-password-test-51861cbc-d3b9-428b-9761-227f5fb12be9",
};
const options = {
authorization: {
session_token: '${sessionToken}',
},
};
client.organizations.members.deletePassword(params, options)
.then(resp => { console.log(resp) })
.catch(err => { console.log(err) });$response = $client->organizations->members->delete_password([
'organization_id' => 'organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931',
'member_password_id' => 'member-password-test-51861cbc-d3b9-428b-9761-227f5fb12be9',
], [
'authorization' => ['session_token' => '${sessionToken}'],
]);# DELETE /v1/b2b/organizations/{organization_id}/members/passwords/{member_password_id}
from stytch import B2BClient
from stytch.b2b.models.organizations_members import DeletePasswordRequestOptions
from stytch.shared.method_options import Authorization
client = B2BClient(
project_id="${projectId}",
secret="${secret}",
)
resp = client.organizations.members.delete_password(
organization_id="organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
member_password_id="member-password-test-51861cbc-d3b9-428b-9761-227f5fb12be9",
method_options=DeletePasswordRequestOptions(
authorization=Authorization(
session_token="${sessionToken}",
),
),
)
print(resp)
# frozen_string_literal: true
# DELETE /v1/b2b/organizations/{organization_id}/members/passwords/{member_password_id}
require 'stytch'
client = StytchB2B::Client.new(
project_id: "${projectId}",
secret: "${secret}"
)
resp = client.organizations.members.delete_password(
organization_id: "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
member_password_id: "member-password-test-51861cbc-d3b9-428b-9761-227f5fb12be9",
method_options: StytchB2B::Organizations::Members::DeletePasswordRequestOptions.new(
authorization: Stytch::MethodOptions::Authorization.new(session_token: '${sessionToken}')
)
)
puts resp// DELETE /v1/b2b/organizations/{organization_id}/members/passwords/{member_password_id}
use stytch::b2b::client::Client;
use stytch::b2b::organizations_members::DeletePasswordRequest;
fn main() {
let client = Client::new("${projectId}", "${secret}").unwrap();
let resp = client.organizations.members.delete_password(
DeletePasswordRequest{
organization_id: "organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931",
member_password_id: "member-password-test-51861cbc-d3b9-428b-9761-227f5fb12be9",
..Default::default()
}
).await;
println!("The response is {:?}", resp);
}# DELETE /v1/b2b/organizations/{organization_id}/members/passwords/{member_password_id}
curl --request DELETE \
--url https://test.stytch.com/v1/b2b/organizations/organization-test-07971b06-ac8b-4cdb-9c15-63b17e653931/members/passwords/member-password-test-51861cbc-d3b9-428b-9761-227f5fb12be9 \
-u '${projectId}:${secret}' \
-H 'Content-Type: application/json' \
-H "X-Stytch-Member-Session: ${sessionToken}"{
"request_id": "<string>",
"member_id": "<string>",
"member": {
"organization_id": "<string>",
"member_id": "<string>",
"email_address": "<string>",
"status": "<string>",
"name": "<string>",
"sso_registrations": [
{
"connection_id": "<string>",
"external_id": "<string>",
"registration_id": "<string>",
"sso_attributes": {}
}
],
"is_breakglass": true,
"member_password_id": "<string>",
"oauth_registrations": [
{
"provider_type": "<string>",
"provider_subject": "<string>",
"member_oauth_registration_id": "<string>",
"profile_picture_url": "<string>",
"locale": "<string>"
}
],
"email_address_verified": true,
"mfa_phone_number_verified": true,
"is_admin": true,
"totp_registration_id": "<string>",
"retired_email_addresses": [
{
"email_id": "<string>",
"email_address": "<string>"
}
],
"is_locked": true,
"mfa_enrolled": true,
"mfa_phone_number": "<string>",
"default_mfa_method": "<string>",
"roles": [
{
"role_id": "<string>",
"sources": [
{
"type": "<string>",
"details": {}
}
]
}
],
"trusted_metadata": {},
"untrusted_metadata": {},
"created_at": "<string>",
"updated_at": "<string>",
"scim_registration": {
"connection_id": "<string>",
"registration_id": "<string>",
"external_id": "<string>",
"scim_attributes": {
"user_name": "<string>",
"id": "<string>",
"external_id": "<string>",
"active": true,
"groups": [
{
"value": "<string>",
"display": "<string>"
}
],
"display_name": "<string>",
"nick_name": "<string>",
"profile_url": "<string>",
"user_type": "<string>",
"title": "<string>",
"preferred_language": "<string>",
"locale": "<string>",
"timezone": "<string>",
"emails": [
{
"value": "<string>",
"type": "<string>",
"primary": true
}
],
"phone_numbers": [
{
"value": "<string>",
"type": "<string>",
"primary": true
}
],
"addresses": [
{
"formatted": "<string>",
"street_address": "<string>",
"locality": "<string>",
"region": "<string>",
"postal_code": "<string>",
"country": "<string>",
"type": "<string>",
"primary": true
}
],
"ims": [
{
"value": "<string>",
"type": "<string>",
"primary": true
}
],
"photos": [
{
"value": "<string>",
"type": "<string>",
"primary": true
}
],
"entitlements": [
{
"value": "<string>",
"type": "<string>",
"primary": true
}
],
"roles": [
{
"value": "<string>",
"type": "<string>",
"primary": true
}
],
"x509certificates": [
{
"value": "<string>",
"type": "<string>",
"primary": true
}
],
"name": {
"formatted": "<string>",
"family_name": "<string>",
"given_name": "<string>",
"middle_name": "<string>",
"honorific_prefix": "<string>",
"honorific_suffix": "<string>"
},
"enterprise_extension": {
"employee_number": "<string>",
"cost_center": "<string>",
"division": "<string>",
"department": "<string>",
"organization": "<string>",
"manager": {
"value": "<string>",
"ref": "<string>",
"display_name": "<string>"
}
}
}
},
"external_id": "<string>",
"lock_created_at": "<string>",
"lock_expires_at": "<string>"
},
"organization": {
"organization_id": "<string>",
"organization_name": "<string>",
"organization_logo_url": "<string>",
"organization_slug": "<string>",
"sso_jit_provisioning": "<string>",
"sso_jit_provisioning_allowed_connections": [
"<string>"
],
"sso_active_connections": [
{
"connection_id": "<string>",
"display_name": "<string>",
"identity_provider": "<string>"
}
],
"email_allowed_domains": [
"<string>"
],
"email_jit_provisioning": "<string>",
"email_invites": "<string>",
"auth_methods": "<string>",
"allowed_auth_methods": [
"<string>"
],
"mfa_policy": "<string>",
"rbac_email_implicit_role_assignments": [
{
"domain": "<string>",
"role_id": "<string>"
}
],
"mfa_methods": "<string>",
"allowed_mfa_methods": [
"<string>"
],
"oauth_tenant_jit_provisioning": "<string>",
"claimed_email_domains": [
"<string>"
],
"first_party_connected_apps_allowed_type": "<string>",
"allowed_first_party_connected_apps": [
"<string>"
],
"third_party_connected_apps_allowed_type": "<string>",
"allowed_third_party_connected_apps": [
"<string>"
],
"custom_roles": [
{
"role_id": "<string>",
"description": "<string>",
"permissions": [
{
"resource_id": "<string>",
"actions": [
"<string>"
]
}
]
}
],
"trusted_metadata": {},
"created_at": "<string>",
"updated_at": "<string>",
"organization_external_id": "<string>",
"sso_default_connection_id": "<string>",
"scim_active_connection": {
"connection_id": "<string>",
"display_name": "<string>",
"bearer_token_last_four": "<string>",
"bearer_token_expires_at": "<string>"
},
"allowed_oauth_tenants": {}
},
"status_code": 123
}{
"status_code": 401,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "unauthorized_credentials",
"error_message": "Unauthorized credentials.",
"error_url": "https://stytch.com/docs/api/errors/401"
}{
"status_code": 429,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "too_many_requests",
"error_message": "Too many requests have been made.",
"error_url": "https://stytch.com/docs/api/errors/429"
}{
"status_code": 500,
"request_id": "request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141",
"error_type": "internal_server_error",
"error_message": "Oops, something seems to have gone wrong, please reach out to support@stytch.com to let us know what went wrong.",
"error_url": "https://stytch.com/docs/api/errors/500"
}Delete a ’s password.
This endpoint only works for -scoped passwords. For cross-org password Projects, use Require Password Reset By Email instead.
RBAC Enforced APIIf a Member Session is passed in the Authorization headers, Stytch will enforce that the Member has permission to take the Action on the Resource prior to honoring the request.To learn more, see the RBAC guide.
Authorizations
Headers
Path Parameters
Response
Successful response